Subject: Re: [Simple] Question on RFC 5438

From: Eric Burger <[email-masked]>
Date: Wed, 31 Mar 2010 07:52:55 -0400

Now I see this in writing, I think I understand. I also think the mechanism works. The IMDN-R-R tells the node to send a MESSAGE to the target listed in the R-R. NO PROXIES, EVEN IMDN-AWARE PROXIES, look at the IMDN body if they are not the recipient of that MESSAGE leg. If proxies are dippping in to the IMDN body for routing, except if they are the target proxy and are looking for the next IMDN (not SIP) hop, are broken.

Christer Holmberg <[email-masked]> wrote:

>
>Hi,
>
>I have a question on RFC 5438.
>
>The RFC defines a mechanism, where the receiver of a MESSAGE request can send a "receipt", using another MESSAGE request (IMDN MESSAGE), to the sender to the initial MESSAGE to indicate that it has been received. There is similar functionality in e-mail.
>
>For this, the RFC defines new CPIM header fields, including IMDN-Record-Route and IMDN-Route, to establish a "route" for the IMDN MESSAGE, so that interested intermediaries can also receive it. Intermediaries can insert IMDN-R-R in the initial MESSAGE, and the receiver then use the value to create an IMDN-Route in the associated IMDN MESSAGE. Intermediaries are then supposed to route the IMDN MESSAGE using IMDN-Route.
>
>Now, the RFC seems to assume that the only intermediaries that will insert IMDN-Record-Route is certain application servers, and I guess that is ok.
>
>Section 12.2 says:
>
>"In this context, intermediaries include application servers
>(including URI-List and store-and-forward servers) and gateways.  SIP
>Proxies MUST NOT generate IMDNs but MUST forward them like any other
>SIP request."
>
>BUT, if an AS has inserted IMDN-Record-Route, and there are also other proxies, aren't there cases when proxies are supposed to route based on the IMDN-Route? Otherwise the IMDN MESSAGE may never reach the AS that inserted IMDN-R-R. If so, that would require proxies to also support the IMDN extension, but how can one ensure that (there is no Proxy-Require option-tag defined)?
>
>Now, I assume a reason for defining IMDN-Record-Route was because MESSAGE does not allow Record-Route.
>
>But, MESSAGE does allow Route, so my question is why Route can not be used instead of IMDN-Route? Then there would be no issues with intermediaries not supporting the extension.
>
>So, unless I have missunderstood something, I think we would need to fix this.
>
>Regards,
>
>Christer
>